const express = require('express');
const db = require('../config/db');
const { logger } = require('../util/logger');
const router = express.Router();

router.get('/ping-db', async (_req, res) => {
  try {
    const result = await db.query('SELECT NOW()');
    res.json({ time: result.rows[0].now });
  } catch (err) {
    logger.error(err);
    res.status(500).json({ error: err });
  }
});

module.exports = router;
